<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.customer.CustomerFollowUpEmailsMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.customer.CustomerFollowUpEmailsEntity">
                <result column="create_by" property="createBy" />
                    <result column="id" property="id" />
                    <result column="customer_id" property="customerId" />
                    <result column="type" property="type" />
                    <result column="liaison_ids" property="liaisonIds" />
                    <result column="subject" property="subject" />
                    <result column="follow_up_id" property="followUpId" />
                    <result column="follow_up_time" property="followUpTime" />
                    <result column="objective_value" property="objectiveValue" />
                    <result column="in_out_mark" property="inOutMark" />
                    <result column="follow_up_type_value" property="followUpTypeValue" />
                    <result column="resource_type" property="resourceType" />
                    <result column="resource_type_id" property="resourceTypeId" />
                    <result column="follow_status" property="followStatus" />
                    <result column="recipient_read" property="recipientRead" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                create_by,
            id, type, liaison_ids, subject, follow_up_id, follow_up_time, objective_value, in_out_mark, follow_up_type_value, resource_type, resource_type_id, follow_status, recipient_read
        </sql>

</mapper>
